:root {
    --crl-primary:#7c59b0;
    --radius:0.25rem;
    --spacing:0.25rem;
    --transition:all 0.3s ease-in-out;
    --main-white:#fff;

}

html {
    box-sizing: border-box;
}
body {
    margin: 0;
    background-color:hsl(210, 36%, 96%);
    
}
a {
    text-decoration: none;
    color: white;
}
.alert {
    margin-top: 5rem;
    margin-bottom: 1rem;
    height: 2rem;
    width: 400px;
    max-width: 85vw;
    margin-left: auto;
    margin-right: auto;
    display: grid;
    align-items: center;
    text-align: center;
    font-size: 0.7rem;
    border-radius: 0.25rem;
    letter-spacing: var(--spacing);
    text-transform: capitalize;
    line-height: 1.3;
  }
h1 {
    color:hsl(185, 62%, 45%);
    cursor: pointer;
    padding: 20px;
    background: white;
    border: 0.25rem solid hsl(185, 62%, 45%);
    text-transform: uppercase;
    text-align: center;
    border-radius: var(--radius);
    width: 280px;
    margin: 20px auto 10px;
    user-select: none;
    transition: var(--transition);
}
h1:hover {
    background:hsl(185, 62%, 45%) ; 
    color: white; 
}
.container {
    display: flex;
    flex-wrap: wrap;
}
.item {
    background:  rgba(0, 0, 0, 0.6);
    color: var(--main-white);
    border-radius: var(--radius);
    padding: 20px;
    margin: 10px;
    transition: var(--transition);
}

.item:hover {
    background: rgba(0, 0, 0, 0.6);
}
.website-link {
    font-size: 15px;
    font-weight: bold;
    text-transform: uppercase;
}

a:link,
a:visited {
    color: white;
    text-decoration: none;
}

a:hover,
a:active {
    text-decoration: underline;
}
.name img {
    height: 20px;
    width: 20px;
    vertical-align: sub;
    margin-right: 5px;
}
.fa-times {
    float: right;
    cursor: pointer;
    z-index: 2;
}
.name {
    margin-top: 20px;
    margin-right: 20px;
}

/* modal */
.modal-container {
    background: rgba(0, 0, 0, 0.6);
    display: none;
    position: fixed;
    top: 0;
    left: o;
    height: 100%;
    width: 100%;
}
.show-modal {
    display: flex;
    justify-content: center;
    align-items: center;
}
.modal {
    background-color: white;
    box-shadow: 0 10px rgba(0, 0, 0, 0.8);
    max-width: 95%;
    width: 500px;
    animation: modalopen 1s;
    position: relative;
    height: 400px;
    box-sizing: border-box;
}
@keyframes modalopen {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}
.close-btn {
    float: right;
    font-size: 24px;
    color: hsl(360, 71%, 66%);
    position: absolute;
    top: 1rem;
    right: 13px;
    cursor: pointer;
    transition: var(--transition);
}
.close-btn:hover {
    color: red;
}
.modal-header {
    color: black;
    /* padding: 15px; */
    text-align: center;
    font-size: 2rem;
}
h3 {
    margin: 0;
}
.modal-content {
    background: white;
    padding: 20px;
    padding-top: 0;
}
/* form */
.form-group {
    height: 55px;
}
.form-input {
    width: 97%;
    padding: 5px;
    border: none;
    border-radius: var(--radius);
    background:hsl(212, 33%, 89%);
    display: block;
    outline: none;
}
.form-label {
    color:black;
    display: block;

}
button {
    cursor: pointer;
    height: 30px;
    width: 100px;
    border:0.25rem solid hsl(185, 62%, 45%);
    background:white;
    border-radius: var(--radius);
    color: black;
    margin-top: 10px;
}

button:hover {
    background: hsl(185, 62%, 45%);
}
button:focus {
    outline: none;
}
@media screen and (max-width:600px) {
    .container {
        flex-direction: column;
    }
}
.alert-danger {
    color: #721c24;
    background: #f8d7da;
  }
  .alert-success {
    color: #155724;
    background: #d4edda;
  }